Bug 183258 - [css-text] Import WPT test suite
Summary: [css-text] Import WPT test suite
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Manuel Rego Casasnovas
URL:
Keywords: InRadar
Depends on:
Blocks: 177327
  Show dependency treegraph
 
Reported: 2018-03-01 13:27 PST by Manuel Rego Casasnovas
Modified: 2018-05-22 01:24 PDT (History)
8 users (show)

See Also:


Attachments
Patch (8.91 MB, patch)
2018-03-01 13:32 PST, Manuel Rego Casasnovas
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews100 for mac-sierra (2.88 MB, application/zip)
2018-03-01 15:31 PST, Build Bot
no flags Details
Archive of layout-test-results from ews106 for mac-sierra-wk2 (3.45 MB, application/zip)
2018-03-01 15:35 PST, Build Bot
no flags Details
Archive of layout-test-results from ews117 for mac-sierra (3.75 MB, application/zip)
2018-03-01 16:37 PST, Build Bot
no flags Details
Archive of layout-test-results from ews107 for mac-sierra-wk2 (3.57 MB, application/zip)
2018-03-01 17:18 PST, Build Bot
no flags Details
Archive of layout-test-results from ews112 for mac-sierra (3.65 MB, application/zip)
2018-03-01 18:55 PST, Build Bot
no flags Details
Patch (8.92 MB, patch)
2018-03-05 06:15 PST, Manuel Rego Casasnovas
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews125 for ios-simulator-wk2 (3.06 MB, application/zip)
2018-03-05 08:23 PST, Build Bot
no flags Details
Archive of layout-test-results from ews124 for ios-simulator-wk2 (2.92 MB, application/zip)
2018-03-05 10:25 PST, Build Bot
no flags Details
Patch (8.92 MB, patch)
2018-03-06 00:45 PST, Manuel Rego Casasnovas
no flags Details | Formatted Diff | Diff
Patch (3.08 MB, patch)
2018-05-16 07:33 PDT, Manuel Rego Casasnovas
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews100 for mac-sierra (1.76 MB, application/zip)
2018-05-16 09:09 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews113 for mac-sierra (1.63 MB, application/zip)
2018-05-16 09:25 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews121 for ios-simulator-wk2 (2.51 MB, application/zip)
2018-05-16 09:27 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews107 for mac-sierra-wk2 (2.01 MB, application/zip)
2018-05-16 11:15 PDT, Build Bot
no flags Details
Patch (3.08 MB, patch)
2018-05-16 13:37 PDT, Manuel Rego Casasnovas
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews125 for ios-simulator-wk2 (2.17 MB, application/zip)
2018-05-16 15:30 PDT, Build Bot
no flags Details
Patch (3.08 MB, patch)
2018-05-21 00:51 PDT, Manuel Rego Casasnovas
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews103 for mac-sierra (1.79 MB, application/zip)
2018-05-21 02:28 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews104 for mac-sierra-wk2 (1.81 MB, application/zip)
2018-05-21 02:34 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews126 for ios-simulator-wk2 (2.37 MB, application/zip)
2018-05-21 02:45 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews116 for mac-sierra (1.58 MB, application/zip)
2018-05-21 02:46 PDT, Build Bot
no flags Details
Patch (3.09 MB, patch)
2018-05-21 03:09 PDT, Manuel Rego Casasnovas
no flags Details | Formatted Diff | Diff
Patch (3.09 MB, patch)
2018-05-21 04:35 PDT, Manuel Rego Casasnovas
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews103 for mac-sierra (1.77 MB, application/zip)
2018-05-21 06:11 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews106 for mac-sierra-wk2 (1.99 MB, application/zip)
2018-05-21 06:17 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews122 for ios-simulator-wk2 (2.47 MB, application/zip)
2018-05-21 06:29 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews113 for mac-sierra (1.71 MB, application/zip)
2018-05-21 06:34 PDT, Build Bot
no flags Details
Patch (3.10 MB, patch)
2018-05-21 14:43 PDT, Manuel Rego Casasnovas
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Manuel Rego Casasnovas 2018-03-01 13:27:08 PST
This bug is about importing the following test suite from web-platform-tests:
http://w3c-test.org/css/css-text/
Comment 1 Manuel Rego Casasnovas 2018-03-01 13:32:07 PST
Created attachment 334846 [details]
Patch
Comment 2 Build Bot 2018-03-01 15:31:22 PST
Comment on attachment 334846 [details]
Patch

Attachment 334846 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/6725905

New failing tests:
imported/w3c/web-platform-tests/css/css-text/text-transform/text-transform-capitalize-028.html
imported/w3c/web-platform-tests/css/css-text/white-space/seg-break-transformation-001.html
imported/w3c/web-platform-tests/css/css-text/white-space/white-space-collapse-002.html
imported/w3c/web-platform-tests/css/css-text/white-space/seg-break-transformation-017.html
imported/w3c/web-platform-tests/css/css-text/white-space/seg-break-transformation-004.html
imported/w3c/web-platform-tests/css/css-text/i18n/css3-text-line-break-jazh-059.html
imported/w3c/web-platform-tests/css/css-text/word-break/word-break-break-all-006.html
imported/w3c/web-platform-tests/css/css-text/i18n/css3-text-line-break-jazh-159.html
imported/w3c/web-platform-tests/css/css-text/i18n/css3-text-line-break-jazh-259.html
imported/w3c/web-platform-tests/css/css-text/white-space/seg-break-transformation-016.html
Comment 3 Build Bot 2018-03-01 15:31:23 PST
Created attachment 334860 [details]
Archive of layout-test-results from ews100 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews100  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 4 Build Bot 2018-03-01 15:35:25 PST
Created attachment 334861 [details]
Archive of layout-test-results from ews106 for mac-sierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-sierra-wk2  Platform: Mac OS X 10.12.6
Comment 5 Build Bot 2018-03-01 16:37:17 PST
Comment on attachment 334846 [details]
Patch

Attachment 334846 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/6726260

New failing tests:
imported/w3c/web-platform-tests/css/css-text/text-transform/text-transform-capitalize-028.html
imported/w3c/web-platform-tests/css/css-text/white-space/seg-break-transformation-001.html
imported/w3c/web-platform-tests/css/css-text/white-space/white-space-collapse-002.html
imported/w3c/web-platform-tests/css/css-text/white-space/seg-break-transformation-017.html
imported/w3c/web-platform-tests/css/css-text/white-space/seg-break-transformation-004.html
imported/w3c/web-platform-tests/css/css-text/i18n/css3-text-line-break-jazh-059.html
imported/w3c/web-platform-tests/css/css-text/word-break/word-break-break-all-006.html
imported/w3c/web-platform-tests/css/css-text/i18n/css3-text-line-break-jazh-159.html
imported/w3c/web-platform-tests/css/css-text/i18n/css3-text-line-break-jazh-259.html
imported/w3c/web-platform-tests/css/css-text/white-space/seg-break-transformation-016.html
Comment 6 Build Bot 2018-03-01 16:37:18 PST
Created attachment 334867 [details]
Archive of layout-test-results from ews117 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews117  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 7 Build Bot 2018-03-01 17:18:42 PST
Comment on attachment 334846 [details]
Patch

Attachment 334846 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/6726984

New failing tests:
imported/w3c/web-platform-tests/css/css-text/text-transform/text-transform-capitalize-028.html
imported/w3c/web-platform-tests/css/css-text/white-space/seg-break-transformation-001.html
imported/w3c/web-platform-tests/css/css-text/white-space/white-space-collapse-002.html
imported/w3c/web-platform-tests/css/css-text/white-space/seg-break-transformation-017.html
imported/w3c/web-platform-tests/css/css-text/white-space/seg-break-transformation-004.html
imported/w3c/web-platform-tests/css/css-text/i18n/css3-text-line-break-jazh-059.html
imported/w3c/web-platform-tests/css/css-text/word-break/word-break-break-all-006.html
imported/w3c/web-platform-tests/css/css-text/i18n/css3-text-line-break-jazh-159.html
imported/w3c/web-platform-tests/css/css-text/i18n/css3-text-line-break-jazh-259.html
imported/w3c/web-platform-tests/css/css-text/white-space/seg-break-transformation-016.html
Comment 8 Build Bot 2018-03-01 17:18:43 PST
Created attachment 334873 [details]
Archive of layout-test-results from ews107 for mac-sierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews107  Port: mac-sierra-wk2  Platform: Mac OS X 10.12.6
Comment 9 Build Bot 2018-03-01 18:55:37 PST
Comment on attachment 334846 [details]
Patch

Attachment 334846 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/6727486

New failing tests:
imported/w3c/web-platform-tests/css/css-text/text-transform/text-transform-capitalize-028.html
imported/w3c/web-platform-tests/css/css-text/white-space/seg-break-transformation-001.html
imported/w3c/web-platform-tests/css/css-text/white-space/white-space-collapse-002.html
imported/w3c/web-platform-tests/css/css-text/white-space/seg-break-transformation-017.html
imported/w3c/web-platform-tests/css/css-text/white-space/seg-break-transformation-004.html
imported/w3c/web-platform-tests/css/css-text/i18n/css3-text-line-break-jazh-059.html
imported/w3c/web-platform-tests/css/css-text/word-break/word-break-break-all-006.html
imported/w3c/web-platform-tests/css/css-text/i18n/css3-text-line-break-jazh-159.html
imported/w3c/web-platform-tests/css/css-text/i18n/css3-text-line-break-jazh-259.html
imported/w3c/web-platform-tests/css/css-text/white-space/seg-break-transformation-016.html
Comment 10 Build Bot 2018-03-01 18:55:39 PST
Created attachment 334876 [details]
Archive of layout-test-results from ews112 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews112  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 11 Manuel Rego Casasnovas 2018-03-05 06:15:56 PST
Created attachment 335000 [details]
Patch
Comment 12 Build Bot 2018-03-05 08:23:48 PST
Comment on attachment 335000 [details]
Patch

Attachment 335000 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/6813283

New failing tests:
imported/w3c/web-platform-tests/css/css-text/white-space/textarea-pre-wrap-014.html
imported/w3c/web-platform-tests/css/css-text/white-space/textarea-pre-wrap-003.html
imported/w3c/web-platform-tests/css/css-text/white-space/textarea-pre-wrap-001.html
imported/w3c/web-platform-tests/css/css-text/white-space/textarea-pre-wrap-011.html
imported/w3c/web-platform-tests/css/css-text/white-space/textarea-pre-wrap-007.html
imported/w3c/web-platform-tests/css/css-text/white-space/textarea-pre-wrap-009.html
imported/w3c/web-platform-tests/css/css-text/white-space/textarea-pre-wrap-002.html
imported/w3c/web-platform-tests/css/css-text/white-space/textarea-pre-wrap-004.html
imported/w3c/web-platform-tests/css/css-text/white-space/textarea-pre-wrap-005.html
imported/w3c/web-platform-tests/css/css-text/word-break/word-break-normal-ko-000.html
imported/w3c/web-platform-tests/css/css-text/white-space/textarea-pre-wrap-006.html
Comment 13 Build Bot 2018-03-05 08:23:50 PST
Created attachment 335002 [details]
Archive of layout-test-results from ews125 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews125  Port: ios-simulator-wk2  Platform: Mac OS X 10.12.6
Comment 14 Build Bot 2018-03-05 10:25:16 PST
Comment on attachment 335000 [details]
Patch

Attachment 335000 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/6814035

New failing tests:
imported/w3c/web-platform-tests/css/css-text/white-space/textarea-pre-wrap-014.html
imported/w3c/web-platform-tests/css/css-text/white-space/textarea-pre-wrap-003.html
imported/w3c/web-platform-tests/css/css-text/white-space/textarea-pre-wrap-001.html
imported/w3c/web-platform-tests/css/css-text/white-space/textarea-pre-wrap-006.html
imported/w3c/web-platform-tests/css/css-text/white-space/textarea-pre-wrap-007.html
imported/w3c/web-platform-tests/css/css-text/white-space/textarea-pre-wrap-009.html
imported/w3c/web-platform-tests/css/css-text/word-break/word-break-normal-ko-000.html
imported/w3c/web-platform-tests/css/css-text/white-space/textarea-pre-wrap-004.html
imported/w3c/web-platform-tests/css/css-text/white-space/textarea-pre-wrap-005.html
imported/w3c/web-platform-tests/css/css-text/white-space/textarea-pre-wrap-002.html
imported/w3c/web-platform-tests/css/css-text/white-space/textarea-pre-wrap-011.html
Comment 15 Build Bot 2018-03-05 10:25:17 PST
Created attachment 335007 [details]
Archive of layout-test-results from ews124 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews124  Port: ios-simulator-wk2  Platform: Mac OS X 10.12.6
Comment 16 Manuel Rego Casasnovas 2018-03-06 00:45:18 PST
Created attachment 335075 [details]
Patch
Comment 17 Myles C. Maxfield 2018-03-06 14:28:50 PST
Comment on attachment 335075 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=335075&action=review

How much extra time do these new tests require? Will we need to increase the number of bots we run?

> LayoutTests/TestExpectations:1727


Just curious why you imported the failing tests, too.
Comment 18 youenn fablet 2018-03-06 14:33:05 PST
> Just curious why you imported the failing tests, too.

I guess the plan is to fix those?
In general, I prefer that we import everything in a folder, that is simpler.
Comment 19 Manuel Rego Casasnovas 2018-03-06 16:02:25 PST
(In reply to Myles C. Maxfield from comment #17)
> How much extra time do these new tests require? Will we need to increase the
> number of bots we run?

They are 820 new tests, they take 3 minutes in my machine.
Actually some tests have been recently removed as they were outdated,
so the number will be smaller but probably over 700.
I need to update the patch.

(In reply to youenn fablet from comment #18)
> > Just curious why you imported the failing tests, too.
> 
> I guess the plan is to fix those?

We're planing to work on some of them, for example bug #177327.

> In general, I prefer that we import everything in a folder, that is simpler.

Yes, I thought that was the policy importing the whole test suite
and having some results some failures and some passes that can be used
to detect regressions/progressions with new changes.

We thought it would be better to import the test suite
(that will be shared with other browsers)
so we don't have to write new tests from scratch.
If you prefer a different policy like only importing a few tests
related to the bugs we're working on or something like that please tell us.
Comment 20 Manuel Rego Casasnovas 2018-05-16 07:33:08 PDT
Created attachment 340491 [details]
Patch
Comment 21 Build Bot 2018-05-16 08:05:04 PDT
Attachment 340491 [details] did not pass style-queue:


ERROR: LayoutTests/ChangeLog:1:  ChangeLog entry has no bug number  [changelog/bugnumber] [5]
Total errors found: 1 in 1633 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 22 Build Bot 2018-05-16 09:09:24 PDT
Comment on attachment 340491 [details]
Patch

Attachment 340491 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/7698599

Number of test failures exceeded the failure limit.
Comment 23 Build Bot 2018-05-16 09:09:25 PDT
Created attachment 340494 [details]
Archive of layout-test-results from ews100 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews100  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 24 Build Bot 2018-05-16 09:25:51 PDT
Comment on attachment 340491 [details]
Patch

Attachment 340491 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/7698625

Number of test failures exceeded the failure limit.
Comment 25 Build Bot 2018-05-16 09:25:53 PDT
Created attachment 340495 [details]
Archive of layout-test-results from ews113 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews113  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 26 Build Bot 2018-05-16 09:27:03 PDT
Comment on attachment 340491 [details]
Patch

Attachment 340491 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/7698510

Number of test failures exceeded the failure limit.
Comment 27 Build Bot 2018-05-16 09:27:04 PDT
Created attachment 340496 [details]
Archive of layout-test-results from ews121 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews121  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.4
Comment 28 Build Bot 2018-05-16 11:15:24 PDT
Comment on attachment 340491 [details]
Patch

Attachment 340491 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/7699336

Number of test failures exceeded the failure limit.
Comment 29 Build Bot 2018-05-16 11:15:30 PDT
Created attachment 340502 [details]
Archive of layout-test-results from ews107 for mac-sierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews107  Port: mac-sierra-wk2  Platform: Mac OS X 10.12.6
Comment 30 Manuel Rego Casasnovas 2018-05-16 13:37:16 PDT
Created attachment 340521 [details]
Patch
Comment 31 Build Bot 2018-05-16 15:30:19 PDT
Comment on attachment 340521 [details]
Patch

Attachment 340521 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/7702089

Number of test failures exceeded the failure limit.
Comment 32 Build Bot 2018-05-16 15:30:20 PDT
Created attachment 340532 [details]
Archive of layout-test-results from ews125 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews125  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.4
Comment 33 Manuel Rego Casasnovas 2018-05-21 00:51:58 PDT
Created attachment 340831 [details]
Patch
Comment 34 Build Bot 2018-05-21 02:28:54 PDT
Comment on attachment 340831 [details]
Patch

Attachment 340831 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/7750777

Number of test failures exceeded the failure limit.
Comment 35 Build Bot 2018-05-21 02:28:55 PDT
Created attachment 340834 [details]
Archive of layout-test-results from ews103 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews103  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 36 Build Bot 2018-05-21 02:34:51 PDT
Comment on attachment 340831 [details]
Patch

Attachment 340831 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/7750782

Number of test failures exceeded the failure limit.
Comment 37 Build Bot 2018-05-21 02:34:52 PDT
Created attachment 340836 [details]
Archive of layout-test-results from ews104 for mac-sierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews104  Port: mac-sierra-wk2  Platform: Mac OS X 10.12.6
Comment 38 Build Bot 2018-05-21 02:45:14 PDT
Comment on attachment 340831 [details]
Patch

Attachment 340831 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/7750702

Number of test failures exceeded the failure limit.
Comment 39 Build Bot 2018-05-21 02:45:16 PDT
Created attachment 340837 [details]
Archive of layout-test-results from ews126 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews126  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.4
Comment 40 Build Bot 2018-05-21 02:46:19 PDT
Comment on attachment 340831 [details]
Patch

Attachment 340831 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/7750780

Number of test failures exceeded the failure limit.
Comment 41 Build Bot 2018-05-21 02:46:21 PDT
Created attachment 340838 [details]
Archive of layout-test-results from ews116 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews116  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 42 Manuel Rego Casasnovas 2018-05-21 03:09:45 PDT
Created attachment 340840 [details]
Patch
Comment 43 Manuel Rego Casasnovas 2018-05-21 04:35:26 PDT
Created attachment 340842 [details]
Patch
Comment 44 Build Bot 2018-05-21 06:11:54 PDT
Comment on attachment 340842 [details]
Patch

Attachment 340842 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/7752091

Number of test failures exceeded the failure limit.
Comment 45 Build Bot 2018-05-21 06:11:56 PDT
Created attachment 340845 [details]
Archive of layout-test-results from ews103 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews103  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 46 Build Bot 2018-05-21 06:17:09 PDT
Comment on attachment 340842 [details]
Patch

Attachment 340842 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/7752102

Number of test failures exceeded the failure limit.
Comment 47 Build Bot 2018-05-21 06:17:11 PDT
Created attachment 340847 [details]
Archive of layout-test-results from ews106 for mac-sierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-sierra-wk2  Platform: Mac OS X 10.12.6
Comment 48 Build Bot 2018-05-21 06:29:08 PDT
Comment on attachment 340842 [details]
Patch

Attachment 340842 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/7752045

Number of test failures exceeded the failure limit.
Comment 49 Build Bot 2018-05-21 06:29:10 PDT
Created attachment 340849 [details]
Archive of layout-test-results from ews122 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews122  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.4
Comment 50 Build Bot 2018-05-21 06:34:04 PDT
Comment on attachment 340842 [details]
Patch

Attachment 340842 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/7752099

Number of test failures exceeded the failure limit.
Comment 51 Build Bot 2018-05-21 06:34:06 PDT
Created attachment 340851 [details]
Archive of layout-test-results from ews113 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews113  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 52 Manuel Rego Casasnovas 2018-05-21 14:43:51 PDT
Created attachment 340896 [details]
Patch
Comment 53 WebKit Commit Bot 2018-05-22 01:21:31 PDT
Comment on attachment 340896 [details]
Patch

Clearing flags on attachment: 340896

Committed r232057: <https://trac.webkit.org/changeset/232057>
Comment 54 WebKit Commit Bot 2018-05-22 01:21:33 PDT
All reviewed patches have been landed.  Closing bug.
Comment 55 Radar WebKit Bug Importer 2018-05-22 01:24:46 PDT
<rdar://problem/40444444>